Installer - Bug #26695

"/usr/sbin/foreman-rake -- config -k '‘puppetdb_dashboard_address' -v" fails installation
04/27/2019 02:42 AM - Si Man

Status: Closed
Priority: High
Assignee:
Category: Foreman modules
Target version: 1.21.4
Difficulty: Fixed in Releases: 1.21.4,1.22.0
Triaged: No Found in Releases: 1.21.3
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/puppet-for
eman/pull/729,
https://github.com/theforeman/puppet-for
eman/pull/758,
https://github.com/theforeman/foreman-i
nstaller/pull/396,
https://github.com/theforeman/puppet-for
eman/pull/759

Description

when using foreman-installer and setting option foreman::plugin::puppetdb:dashboard_address, installation fails with error:

Execution of '/usr/sbin/foreman-rake -- config -k 'puppetdb_dashboard_address' -v 'http://foreman-

example.com:8080/pdb/dashboard'' returned 1: rake aborted!
NoMethodError: undefined method “settings_type' for nil:NilClass
/usr/share/foreman/lib/tasks/config.rake:105:in “block in run_key_values'
/usr/share/foreman/lib/tasks/config.rake:100:in “each'
/usr/share/foreman/lib/tasks/config.rake:100:in "run_key_values'
/usr/share/foreman/lib/tasks/config.rake:77:in "run'
/usr/share/foreman/lib/tasks/config.rake:167:in “block in &lt;top (required)&gt;'
/opt/rh/rh-ruby25/root/usr/share/gems/gems/rake-12.3.0/exe/rake:27:1in "&lt;top (required)s&gt;"

Tasks: TOP => config

Associated revisions

Revision 0809bbdf - 04/27/2019 08:46 PM - Michael Moll
Fixes #26695 - remove puppetdb_dashboard_address

History

#1 - 04/27/2019 02:45 AM - Si Man

- Subject changed from "/usr/sbin/foreman-rake -- config -k ‘puppetdb_dashboard_address' -v" fails to "/usr/sbin/foreman-rake -- config -k
‘puppetdb_dashboard _address' -v" fails installation

#2 - 04/27/2019 01:14 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to Anonymous

- Pull request https://github.com/theforeman/puppet-foreman/pull/729 added

#3 - 04/27/2019 01:22 PM - Anonymous

- Project changed from Foreman to Installer

- Category changed from Puppet Reports to Foreman modules
- Target version set to 1.20.3

- Team Backlog deleted (Foreman Maintain)

#4 - 04/27/2019 09:01 PM - Anonymous
- Status changed from Ready For Testing to Closed

Applied in changeset puppet-foreman|0809bbdf4ba42f5f0c27be4504bb2b46ef1dd736.

#5 - 04/27/2019 10:46 PM - Ewoud Kohl van Wijngaarden
- Fixed in Releases 1.23.0 added

#6 - 05/28/2019 12:35 PM - Tomer Brisker
- Fixed in Releases 1.22.0 added
- Fixed in Releases deleted (1.23.0)

#7 - 07/02/2019 04:30 PM - Tomer Brisker
- Target version changed from 1.20.3 to 1.21.4

#8 - 09/18/2019 01:13 PM - Tomer Brisker
- Fixed in Releases 1.21.4 added

#9 - 09/18/2019 01:23 PM - The Foreman Bot
- Pull request https://github.com/theforeman/puppet-foreman/pull/758 added

#10 - 09/18/2019 03:13 PM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman-installer/pull/396 added

#11 - 09/18/2019 04:16 PM - The Foreman Bot
- Pull request https://github.com/theforeman/puppet-foreman/pull/759 added

05/18/2024

22


https://projects.theforeman.org/projects/puppet-foreman/repository/puppet-foreman/revisions/0809bbdf4ba42f5f0c27be4504bb2b46ef1dd736
http://www.tcpdf.org

